Skip to main content
POST
Create Agent From Template

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Body for POST /v1/agents/from-template.

template_id
string
required
Minimum string length: 1
name
string | null
Required string length: 1 - 200
description
string | null
instructions
string | null
execution_mode
string | null
models
Models · object | null
knowledge_bases
string[] | null
skills
string[] | null
tool_categories
string[] | null
suggested_prompts
string[] | null
generate_runtime_key
boolean
default:true

Response

Successful Response

agent
V1AgentResponse · object
required
api_key
RuntimeKeyResponse · object | null

Runtime API key returned once after creation or rotation.